.fa-icon-inline{
    min-width:1.2em;
    display:inline-block;
    text-align:center;
    color: var(--clr-neutral-900)
}

.m{ margin:var(--size-300); }
.m-5{ margin:var(--size-500); }

.mt-0{ margin-top: var(--size-0); }
.mt-200 { margin-top: 0.5rem; }
.mt-300{ margin-top: var(--size-300); }
.mt-400{ margin-top: var(--size-400); }
.mt-800{ margin-top: var(--size-800); }
.mt-1200{ margin-top: var(--size-1200); }
.mt-1600{ margin-top: var(--size-1600); }

.ml-0 {margin-left: 0}
.ml-400{ margin-left: var(--size-400) !important; }
.ml-800{ margin-left: var(--size-800); }
.ml-1200{ margin-left: var(--size-1200); }
.ml-1600{ margin-left: var(--size-1600); }

.mr-400{ margin-right: var(--size-400); }

.mb-0 {margin-bottom: 0}
.mb-400{ margin-bottom: var(--size-400); }
.mb-800{ margin-bottom: var(--size-800); }
.mb-1200{ margin-bottom: var(--size-1200); }
.mb-1600{ margin-bottom: var(--size-1600); }

.pl-0 {padding-left: 0 !important;}
.pr-0 {padding-right: 0 !important;}
.p-24-12{ padding: 24px 12px !important; }
.P-5-25 {padding: 5px 25px !important; }
.p-24{ padding: 24px !important; }
.p-30{ padding: 30px; }
.p-10 { padding: 10px !important;}
.p-15 { padding: 15px !important;}
.p-0 {padding: 0 !important;}

.pt-400 { padding-top: var(--size-400) }

.h-400{ height: var(--size-400); }
.h-800{ height: var(--size-800); }
.h-1200{ height: var(--size-1200); }
.h-1600{ height: var(--size-1600); }

.w100{ width: 100%; }
.w25{ width: 25%;}

.fs-400{ font-size: var(--size-400)!important; }
.fs-500{ font-size: var(--size-500)!important; }
.fs-800 {font-size: var(--size-800)}
.fs-15{font-size: 15px;}

.gp-5 {gap: 5px !important;}
.gp-0 {gap: 0 !important;}

.row-same-height{
    display: flex;
    align-items:stretch;
    gap:0.5em;
}

.bold{
    font-family: ubuntubold, sans-serif;
    font-weight: bold;
}

.no-bold {
    font-weight: normal;
}

.italic {
    font-style: italic;
    color: #888e94;
}

/*.clear-fix{*/
/*    overflow: auto;*/
/*}*/

.mla{ margin-left: auto; }
.g400{ display:flex; gap: var(--size-400);}

.d-flex-jcb { display: flex; justify-content: space-between; align-items: center; }

.italic-red {
    font-style: italic;
    color: #c9302c
}

.datatable-toolbar-action {
    display: flex;
    justify-content: space-between;
    align-items: baseline;
}

.disabled {
    opacity: 0.6;
    cursor: not-allowed;
}

.i-info {
    cursor: help;
    color: var(--clr-glossy-blue);
}

.i-info:hover {
    color: var(--clr-glossy-dark-blue);
    transition: color 0.3s ease;
}

.loader-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(255, 255, 255, 0.9);
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 1000;
    border-radius: 0.375rem;
}

.loader-spinner {
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.radius-top-20 {
    /*radius uniquement en haut*/
    border-radius: 20px 20px 0px 0px;
}

.radius-top-20 {
    /*radius uniquement en haut*/
    border-radius: 20px 20px 0px 0px;
}

.radius-20 {
    border-radius: 20px;
}

.radius-10 {
    border-radius: 10px;
}

.radius-top-left-10 {
    border-top-left-radius: 10px;
}

.radius-top-right-10 {
    border-top-right-radius: 10px;
}

.radius-bottom-left-10 {
    border-bottom-left-radius: 10px;
}

.radius-bottom-right-10 {
    border-bottom-right-radius: 10px;
}

.shadow-md {
    box-shadow: 3px 3px 10px rgba(56, 65, 74, .15);
}

.icon-center-text {
    display: inline-flex;
    align-items: anchor-center;
    gap: 8px;
}

.badge-outline {
    background-color: transparent;
    border: 1.5px solid currentColor;
    letter-spacing: 0.3px;
    font-weight: bold;
}

.badge-group {
    display: flex;
    gap: 10px;
    align-items: center;
    flex-wrap: wrap;
}

.panel-sticky {
    position: sticky;
    top: 0;
    align-self: flex-start;
}

.scroll-block {
    overflow: hidden;
    max-height: 200px;
    overflow-y: auto;
    overscroll-behavior: contain;
}

.scroll-block-page {
    overflow: hidden;
    max-height: 82vh;
    overflow-y: auto;
    overscroll-behavior: contain;
}

.right {
    text-align: right;
}

.tooltip .tooltip-inner .tooltip-lower {
    text-transform: none;
}

.text-decoration-none {
    text-decoration: none !important;
}

.d-flex {
    display: flex;
}

.text-transform-none {
    text-transform: none !important;
}

.justify-content-center {
    justify-content: center;
}

.lien-action {
    color: var(--clr-neutral-1000);
    text-decoration: none;
}

.lien-action:hover {
    text-decoration: underline;
    color: var(--clr-neutral-1000);
    cursor: pointer;
}

.content-align-end {
    align-content: end;
}